Page MenuHomePhabricator

[betalabs] Flow: clicking 'Cancel' for moderation actions results in "Unknown dependency: schema.Undefined" error
Closed, ResolvedPublic

Description

Found while verifying the fix for T132414: Cancel button for moderation broken, only locally.

The issue reported below is less severe than in T132414: Cancel button for moderation broken, only locally - the functionality is affected minimally (need to click Cancel twice). Also, if the actions are clicked several time - the error stops appearing. Refresh the page - the error appears again.

  1. On a Flow board click on the drop-down menu options for a topic or for a post - Hide, Delete, Suppress.
  2. The Console will display:

[FLOW] Error in component handler: interactiveHandler Error: Unknown dependency: schema.Undefined

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 12 2016, 10:41 PM
Catrope renamed this task from [betalabs] Flow: click 'Cancel' for moderation actions - "Error in component handler..." is displayed to [betalabs] Flow: clicking 'Cancel' for moderation actions results in "Unknown dependency: schema.Undefined" error.May 16 2016, 9:23 PM
Catrope moved this task from Untriaged to Ready for Pickup on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 290609 had a related patch set uploaded (by Sbisson):
Stop trying to log to schema.Undefined

https://gerrit.wikimedia.org/r/290609

SBisson claimed this task.May 24 2016, 11:48 PM

Change 290609 merged by jenkins-bot:
Stop trying to log to schema.Undefined

https://gerrit.wikimedia.org/r/290609

Fixed/checked in betalabs.

jmatazzoni closed this task as Resolved.May 31 2016, 3:32 PM